Browse Source

Mise à jour du processus de construction des paquets via Drone

William Petit 1 year ago
parent
commit
97247483f9
3 changed files with 16 additions and 6 deletions
  1. 2
    2
      .drone.yml
  2. 10
    0
      .tamarin/prebuild
  3. 4
    4
      Makefile

+ 2
- 2
.drone.yml View File

@@ -1,9 +1,9 @@
1 1
 ---
2 2
   pipeline:
3 3
     test:
4
-      image: alpine:3.6
4
+      image: node:6-alpine
5 5
       commands:
6
-        - apk add --no-cache nodejs nodejs-npm firefox-esr
6
+        - apk add --no-cache firefox-esr
7 7
         - npm install
8 8
         - npm test
9 9
     package-64:

+ 10
- 0
.tamarin/prebuild View File

@@ -0,0 +1,10 @@
1
+#!/usr/bin/env bash
2
+
3
+set -o pipefail
4
+set -e
5
+
6
+# Install NodeJS into the container
7
+apt-get update
8
+apt-get install --yes --no-install-recommends curl ca-certificates
9
+curl --silent --location https://deb.nodesource.com/setup_6.x | bash -
10
+apt-get install --yes nodejs

+ 4
- 4
Makefile View File

@@ -8,11 +8,11 @@ endif
8 8
 
9 9
 all: build
10 10
 
11
+clean:
12
+	rm -rf node_modules
13
+	rm -rf dist
14
+
11 15
 build:
12
-	apt-get update
13
-	apt-get install --yes --no-install-recommends curl ca-certificates
14
-	curl --silent --location https://deb.nodesource.com/setup_6.x | bash -
15
-	apt-get install --yes nodejs
16 16
 	npm install --ignore-scripts
17 17
 	ARCH=$(ELECTRON_ARCH) npm run build
18 18